<template>
    <article class="article-item" v-bind:style="{ backgroundImage: `url(${imgSrc})` }">
        <div class="article-item__wrapper">
            <div class="article-item__text">
                <router-link :to="{name: 'ArticlePage', params: {id: articleIndex}}" exact class="article-item__title">{{selectedTile.title}}</router-link>
                <p class="article-item__description">{{selectedTile.description}}</p>
            </div>
        </div>
    </article>
</template>

<script>
export default {
    name: 'ArticleItem',
    props:['articleIndex', 'isDouble'],
    computed: {
        selectedTile() {
            return this.$store.state.tiles[this.articleIndex];
        },
        imgSrc(){
            let width = 800,
                height = 800 / (this.isDouble ? 4 : 2);
            return `http://placekitten.com/${width}/${height}?image=${this.articleIndex}`;
        }
    }
};
</script>

<style scoped>
.article-item{
    position: absolute;
    width: 100%;
    height: 100%;
    background-size: cover;
    background-position: center;
}
.article-item__wrapper{
    max-height: 60px;
    background: rgba(255, 255, 255, .5);
    margin: 20px;
    padding: 10px;
    box-sizing: border-box;
    position: relative;
}
.article-item__title{
    font-weight: bold;
    margin-bottom: 15px;
}
.article-item__title:hover{
    text-decoration: underline;
}
.article-item__description{
    max-height: 45px;
    text-overflow: ellipsis;
    overflow: hidden;
    font-size: 0.8rem;
    white-space:nowrap;
    margin: 0;
}
.article-item__image{
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
}
</style>
